<?php

    namespace TamerLib\Enums;

    final class JobStatus
    {
        public const WAITING = 10;
        public const PROCESSING = 20;
        public const FINISHED = 30;
        public const FAILED = 40;
        public const REJECTED = 50;

        public const PROCESSING_STATES = [
            self::WAITING,
            self::PROCESSING,
            self::REJECTED // This is a special case, as the job gets pushed back into the queue for reprocessing.
        ];

        public const FINISHED_STATES = [
            self::FINISHED,
            self::FAILED,
        ];
    }